<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY bogofilter-download-http "&sourceforge-dl;/bogofilter/bogofilter-&bogofilter-version;.tar.xz">
  <!ENTITY bogofilter-download-ftp  " ">
  <!ENTITY bogofilter-md5sum        "8763f87adfff7b802ced177d8c654539">
  <!ENTITY bogofilter-size          "784 KB">
  <!ENTITY bogofilter-buildsize     "19 MB">
  <!ENTITY bogofilter-time          "0.1 SBU">
]>

<sect1 id="bogofilter" xreflabel="Bogofilter-&bogofilter-version;">
  <?dbhtml filename="bogofilter.html"?>


  <title>Bogofilter-&bogofilter-version;</title>

  <indexterm zone="bogofilter">
    <primary sortas="a-Bogofilter">Bogofilter</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to Bogofilter</title>

    <para>
      The <application>Bogofilter</application> application is a mail filter that classifies
      mail as spam or ham (non-spam) by a statistical analysis of the message's header and
      content (body).
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&bogofilter-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&bogofilter-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &bogofilter-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &bogofilter-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &bogofilter-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &bogofilter-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">Bogofilter Dependencies</bridgehead>

    <bridgehead renderas="sect4">Recommended</bridgehead>
    <para role="recommended">
      <xref linkend="gsl"/>,
      <xref linkend="libxml2"/>, and
      <!-- 'required' to make this strong to jhalfs -->
      <xref role='required' linkend="sqlite"/>
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="lmdb"/>,
      <xref linkend="xmlto"/>,
      &berkeley-db;,
      <ulink url="https://dbmx.net/qdbm/">QDBM</ulink> and
      <ulink url="https://dbmx.net/tokyocabinet/">TokyoCabinet</ulink>
    </para>

    <note>
      <para>
        If you do not install the recommended <xref linkend="gsl"/> package
        then a statically linked shipped version will be used instead.
      </para>
    </note>

  </sect2>

  <sect2 role="installation">
    <title>Installation of Bogofilter</title>

    <note>
      <para>
        If you plan to change the version of your database library on an
        existing installation, or to change to a different database, read the
        warning at the top of the RELEASE.NOTES file.
      </para>
    </note>

    <para>
      Install <application>Bogofilter</application> by running the following
      commands:
    </para>

<screen><userinput>./configure --prefix=/usr                \
            --sysconfdir=/etc/bogofilter \
            --with-database=sqlite3      &amp;&amp;
make</userinput></screen>

    <para>
      To test the results, issue <command>make check</command>.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <para>
      <parameter>--with-database=sqlite3</parameter>: This switch makes
      Bogofilter use <xref linkend='sqlite'/> as the database, instead of
      Berkeley DB<!-- which is beyond the scope of BLFS (slated for removal)-->.
    </para>

    <para>
      <option>--with-database={lmdb,qdbm,tokyocabinet}</option>: This switch
      also allows to use lmdb, qdbm, or tokyocabinet as the database.
    </para>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          bf_compact, bf_copy, bf_tar, bogofilter, bogolexer, bogotune,
          bogoupgrade and bogoutil
        </seg>
        <seg>
          None
        </seg>
        <seg>
          /etc/bogofilter
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="bf_compact">
        <term><command>bf_compact</command></term>
        <listitem>
          <para>
            creates a more compact bogofilter working directory with a
            dump/load cycle
          </para>
          <indexterm zone="bogofilter bf_compact">
            <primary sortas="b-bf_compact">bf_compact</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="bf_copy">
        <term><command>bf_copy</command></term>
        <listitem>
          <para>
            copies a bogofilter working directory to another directory
          </para>
          <indexterm zone="bogofilter bf_copy">
            <primary sortas="b-bf_copy">bf_copy</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="bf_tar">
        <term><command>bf_tar</command></term>
        <listitem>
          <para>
            bundles a bogofilter working directory in tar format and
            copies it to standard output
          </para>
          <indexterm zone="bogofilter bf_tar">
            <primary sortas="b-bf_tar">bf_tar</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="bogofilter-prog">
        <term><command>bogofilter</command></term>
        <listitem>
          <para>
            is a fast Bayesian spam filter
          </para>
          <indexterm zone="bogofilter bogofilter-prog">
            <primary sortas="b-bogofilter">bogofilter</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="bogolexer">
        <term><command>bogolexer</command></term>
        <listitem>
          <para>
            is used to separate messages into tokens and to test new
            versions of the lexer.l code
          </para>
          <indexterm zone="bogofilter bogolexer">
            <primary sortas="b-bogolexer">bogolexer</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="bogotune">
        <term><command>bogotune</command></term>
        <listitem>
          <para>
            attempts to find optimum parameter settings for bogofilter
          </para>
          <indexterm zone="bogofilter bogotune">
            <primary sortas="b-bogotune">bogotune</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="bogoupgrade">
        <term><command>bogoupgrade</command></term>
        <listitem>
          <para>
            upgrades the bogofilter database to the current version
          </para>
          <indexterm zone="bogofilter bogoupgrade">
            <primary sortas="b-bogoupgrade">bogoupgrade</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="bogoutil">
        <term><command>bogoutil</command></term>
        <listitem>
          <para>
            dumps, loads, and maintains bogofilter database files
          </para>
          <indexterm zone="bogofilter bogoutil">
            <primary sortas="b-bogoutil">bogoutil</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
